function fn_iniciar_sesion () {
	swhtml 	= '';
	if($('#txt_usuario').val()==''){
		sel=$('#txt_usuario');
		swhtml = 'Usuario requerido!<br>';
	}
	if($('#txt_clave').val()==''){
		if(!sel)sel=$('#txt_clave');
		swhtml += 'Clave requerido!<br>';
	}
	if(swhtml!=''){
		swal({
            type    			: 'warning',
            title   			: 'Alerta!',
            html    			: swhtml + '<b>Campos requeridos!</b>',
            confirmButtonClass	: 'btn btn-primary',
            allowOutsideClick 	: false,
            allowEscapeKey 		: false
        }).then(function () {
        	sel.focus();
        });
        this.stopPropagation();
        return;
	}
	var str = $('#form_login').serialize();
	$.ajax({
		url 	: ruta + 'main/iniciar_sesion',
		data 	: str,
		type 	: 'post',
		success :function (data) {
			if(data==0){
				swal({
		            type    : 'info',
		            title   : 'Mensaje!',
		            html    : 'Bienvenido al Sistema',
		            confirmButtonClass	: 'btn btn-primary',
            		allowOutsideClick 	: false,
            		allowEscapeKey 		: false
		        }).then(function () {
		        	window.location = ruta + 'main/consola';
		        });
			}else{
				swal({
		            type    : 'warning',
		            title   : 'Alerta!',
		            html    : 'Usuario y o clave incorrecta.',
            		allowOutsideClick 	: false,
            		allowEscapeKey 		: false
		        });
			}
		}
	});
}